*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

.flex-container{
	background-color: gray;
	height: 500px;
	padding: 20px;

	display: flex;

	/*flex properties*/
	/*justify content:  horizontal*/
	/*justify-content:	flex-start;*/
	/*justify-content: flex-end;*/
	/*justify-content: flex-end;*/
	/*justify-content: space-between;*/
	/*justify-content: space-around;*/
	/*justify-content: space-evenly;*/
	/*justify-content: center;*/

	/*flex-direction*/
	/*flex-direction: row; default*/
	/*flex-direction: column;*/
	/*flex-direction: row-reverse;*/
	/*flex-direction: column-reverse;*/

	/*align-items: value*/
	/*align-items: stretch*/; 
	/*align-items: flex-start;*/
	align-items: center;
	/*align-items: flex-end;*/

	/*flex-wrap: vertical*/
	/*flex-wrap: wrap;*/
	/*flex-wrap: nowrap;*/
	flex-wrap: wrap-reverse;


	/*align-content: aligning contents*/
	align-content: center;
	/*align-content: flex-start;*/
	/*align-content: flex-end;*/
}



.flex-container p{
	background-color: lightblue;
	margin: 10px;
	border: 1px solid red;
	padding: 20px;
	font-size: 25px;
	width: 150px;

}















